/* ******************************************************* */
/*                                                         */
/*             This file should not be changed.            */
/*    If changes are required - override in styles.css     */
/*                                                         */
/* ******************************************************* */

/* Variables */
#page-wrap {
  --border-width: 0rem;
  --border-width-horiz: 0rem;
  --border-width-vert: 0rem;
}
.lpb-layout, /* For backend */
.js-lpb-component /* For backend */ {
  --border-width: 0.1rem;
  --bor-color:#b8b8b8;
}
.border-width-1 {
  --border-width: 0.1rem;
}
.border-width-2_5 {
  --border-width: 0.25rem;
}
.border-width-5 {
  --border-width: 0.5rem;
}
.border-width-10{
  --border-width: 1rem;
}
.border-width-15 {
  --border-width: 1.5rem;
}
.border-width-20 {
  --border-width: 2rem;
}
.border-width-horiz-1 {
  --border-width-horiz: 0.1rem;
}
.border-width-horiz-2_5 {
  --border-width-horiz: 0.25rem;
}
.border-width-horiz-5 {
  --border-width-horiz: 0.5rem;
}
.border-width-horiz-10 {
  --border-width-horiz: 1rem;
}
.border-width-horiz-15 {
  --border-width-horiz: 1.5rem;
}
.border-width-horiz-20 {
  --border-width-horiz: 2rem;
}
.border-width-vert-1 {
  --border-width-vert: 0.1rem;
}
.border-width-vert-2_5 {
  --border-width-vert: 0.25rem;
}
.border-width-vert-5 {
  --border-width-vert: 0.5rem;
}
.border-width-vert-10 {
  --border-width-vert: 1rem;
}
.border-width-vert-15 {
  --border-width-vert: 1.5rem;
}
.border-width-vert-20 {
  --border-width-vert: 2rem;
}
/* Borders */
.bordercol.layout-full-width-content-contained,
.bordercol.layout-full-width,
.bordercol.layout-contained .layout-wrap,
.bordercol.paragraph--type-slide,
.bordercol.paragraph--type-link .link-button,
.bordercol:not(.paragraph--type-layout):not(.paragraph--type-slide):not(.paragraph--type-link) > .paragraph-content,
.bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region .paragraph--type-views-reference .view .view-content .link-button {
  border-width: var(--border-width);
  border-style: solid;
  border-color: var(--bor-color);
  box-sizing: border-box;
}
.bordercol .layout-wrap {
  overflow: hidden;
}
.bordercol .layout__region,
.bordercol .column--content,
.bordercol  .paragraph--type-views-reference .view .view-content .link-button {
  position: relative;
  align-self: stretch;
}
/* Internal Borders*/
.bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region:before, 
.bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region:after,
.bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region .paragraph--type-views-reference .view .view-content .link-button:before, 
.bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region .paragraph--type-views-reference .view .view-content .link-button:after,
.row-list.bordercol .view-content .link-button:before,
.row-list.bordercol .view-content .link-button:after {
  content: '';
  position: absolute;
  background-color: var(--bor-color);
}
/* Vertical Borders between Columns */
.bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region:after,
.bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region .paragraph--type-views-reference .view .view-content .link-button:after,
.row-list.bordercol .view-content .link-button:after {
  top: calc(((var(--row-gap) + var(--border-width-vert)) / 2) + (var(--inner-padding-t)) * -1);
  left: calc(((var(--column-gap) + var(--border-width-horiz)) / 2) * -1);
  width: 100vw;
  height: var(--border-width-horiz);
}
/* To do

Add in options for max number of columns (incl 6 for Grid)
Add in options for RTL
Add in optons for Odds Even

*/
/* No Vertical Borders */
.bordercol > .paragraph-content > .layout-wrap > .layout.layout--onecolumn > .layout__region:before,
.bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--twocolumn > .layout__region:before,
.bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn > .layout__region:before,
.bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fourcolumn > .layout__region:before,
.bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(1):before,
.bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(3):before,
.bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(5):before,
.bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(1):before,
.bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(3):before,
.bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(5):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--twocolumn > .layout__region:nth-child(1):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-1-1 > .layout__region:nth-child(1):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-1-1 > .layout__region:nth-child(3):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-1-2 > .layout__region:nth-child(3):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-1-2 > .layout__region:nth-child(1):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-2-1 > .layout__region:nth-child(2):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-2-1 > .layout__region:nth-child(1):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-2-1-1 > .layout__region:nth-child(1):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-2-1-1 > .layout__region:nth-child(2):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fourcolumn > .layout__region:nth-child(1):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fourcolumn > .layout__region:nth-child(3):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(1):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(4):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(1):before,
.bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(4):before,
.bordercol.mobile-columns-all > .paragraph-content > .layout-wrap > .layout > .layout__region:nth-child(1):before {
  background-color: transparent;
}
/* Horizontal Borders Between Columns */
.bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region:before,
.bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region .paragraph--type-views-reference .view .view-content .link-button:before,
.row-list.bordercol .view-content .link-button:before {
  top: calc(((var(--row-gap) + var(--border-width-vert)) / 2) + (var(--inner-padding-t)) * -1);
  left: calc(((var(--column-gap) + var(--border-width-vert)) / 2) * -1);
  width: var(--border-width-vert);
  height: 100vh;
}

/* ------------------------------------- RESPONSIVE ADJUSTMENTS ------------------------------------- */
@media all and (min-width: 768px), print {
  /* TABLET - Non-Retina - (768px-1024px) */

  /* Reset No Vertical Borders */
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--twocolumn > .layout__region:before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn > .layout__region:before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fourcolumn > .layout__region:before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(1):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(3):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(5):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(1):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(3):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(5):before,
  .bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(1):before,
  .bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(4):before,
  .bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(1):before,
  .bordercol.mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(4):before {
    background-color: var(--bor-color);
  }
  /* To do

  Add in options for max number of columns (incl 6 for Grid)
  Add in options for RTL
  Add in optons for Odds Even

  */

  /* Tablet No Vertical Borders */
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--twocolumn > .layout__region:nth-child(1):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-1-1 > .layout__region:nth-child(1):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-1-1 > .layout__region:nth-child(3):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-1-2 > .layout__region:nth-child(3):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-1-2 > .layout__region:nth-child(1):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-2-1 > .layout__region:nth-child(2):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-1-2-1 > .layout__region:nth-child(1):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-2-1-1 > .layout__region:nth-child(1):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--threecolumn-2-1-1 > .layout__region:nth-child(2):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fourcolumn > .layout__region:nth-child(1):before,
  .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fourcolumn > .layout__region:nth-child(3):before,
  .onecol .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(1):before,
  .onecol .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(4):before,
  .onecol .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(1):before,
  .onecol .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(4):before,
  .twocol-sideright .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(1):before,
  .twocol-sideright .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(3):before,
  .twocol-sideright .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(5):before,
  .twocol-sideright .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(1):before,
  .twocol-sideright .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(3):before,
  .twocol-sideright .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(5):before,
  .twocol-sideleft .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(1):before,
  .twocol-sideleft .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(3):before,
  .twocol-sideleft .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--fivecolumn > .layout__region:nth-child(5):before,
  .twocol-sideleft .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(1):before,
  .twocol-sideleft .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(3):before,
  .twocol-sideleft .bordercol.no-mobile-columns > .paragraph-content > .layout-wrap > .layout.layout--sixcolumn > .layout__region:nth-child(5):before {
    background-color: transparent;
  }  
  
}
@media all and (min-width: 1025px), print {
  /* DESKTOP SMALL - Non-Retina - (1025px-1280px) */

  /* Reset Internal Borders */
  .bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region:before {
    background-color: var(--bor-color) !important;
  }
  /* To do

  Add in options for max number of columns (incl 6 for Grid)
  Add in options for RTL
  Add in optons for Odds Even

  */
  
  /* Desktop No Vertical Borders */
  .bordercol  > .paragraph-content > .layout-wrap > .layout > .layout__region:nth-child(1):before {
    background-color: transparent !important;
  }

}